﻿
<div class="modal fade" data-backdrop="static" data-keyboard="false" id="RoomItemModal" tabindex="-1" role="dialog" aria-labelledby="RoomItemModal" aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div id="divLoadingModal"></div>
        <div class="modal-content">
            <div class="modal-header clearfix">
                <button type="button" class="btn btn-danger btn-xs pull-right" onclick="function close(){window.location.reload(true)};close()"><span class="glyphicon glyphicon-remove"></span></button>
                <h4 class="modal-title text-center" style="color: darkblue;"><b>@Resources.Content.AddItemToRoom</b></h4>
            </div>
            <div class="modal-body">
                <div class="row">
                    <div class="col-md-3">
                        <input id="roomitemid" name="roomitemid" type="text" style="display: none;" disabled="disabled" value="" class="form-control" />
                        <div class="form-group">
                            <label for="iroomid">@Resources.Content.RoomNo</label>
                            <select class="form-control input-sm" id="iroomid">
                                <option value="0">-Select Room-</option>
                                @foreach (var room in Model.Rooms)
                                {
                                    <option value=@room.id>@room.room_no</option>
                                }
                            </select>
                        </div>
                    </div>
                    <div class="col-md-6">
                        <div class="form-group">
                            <label for="itemid">@Resources.Content.Item</label>
                            <select class="form-control input-sm" id="itemid">
                                <option value="0">------Please Choose Item------</option>
                                @foreach (var item in Model.Items)
                                {
                                    <option value=@item.id>@item.itemname</option>
                                }
                            </select>
                        </div>
                    </div>
                    <div class="col-md-3">
                        <div class="form-group">
                            <label for="iprice">@Resources.Content.Price</label>
                            <input id="iprice" name="iprice" placeholder="$0.00" onfocus="this.select();" type="number" value="0" class="form-control input-sm" style="min-width: 100%" />
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-12">
                        <button type="button" id="btnAddNewRoomItem" onclick="AddNewRoomItem()" class="btn btn-primary btn-sm"><span class='glyphicon glyphicon-plus'></span> @Resources.Content.AddNew</button>
                        <button type="button" id="btnSaveRoomItem" onclick="SaveRoomItem()" class="btn btn-info btn-sm"><span class='glyphicon glyphicon-save'></span> @Resources.Content.Save</button>
                        <button type="button" id="btnUpdateRoomItem" onclick="UpdateRoomItem()" class="btn btn-success btn-sm"><span class='glyphicon glyphicon-refresh'></span> @Resources.Content.Update</button>
                    </div>
                </div>
                <hr />
                <table class="table-hover table-bordered table-condensed table-striped" style="width:100%" id="tblRoomItem">
                    <thead>
                        <tr>
                            <th>@Resources.Content.No</th>
                            <th>@Resources.Content.RoomNo</th>
                            <th>@Resources.Content.Item</th>
                            <th>@Resources.Content.Price</th>
                            <th style="width:15px">@Resources.Content.Action</th>
                        </tr>
                    </thead>
                    <tbody></tbody>
                </table>
            </div>
        </div>
    </div>
</div>

<script>
    function AddNewRoomItem() {
        document.getElementById('btnAddNewRoomItem').style.display = "none";
        document.getElementById('btnSaveRoomItem').style.display = "block";
        document.getElementById('btnUpdateRoomItem').style.display = "none";
        EnableControlRoomItem();
    }

    //Save
    function SaveRoomItem() {
        if ($("#iroomid").val() == 0) {
            $("#iroomid").focus();
            return false;
        }
        if ($("#itemid").val() == 0) {
            $("#itemid").focus();
            return false;
        }

        var data = {
            roomid: $('#iroomid').val(),
            itemid: $('#itemid').val(),
            price: $('#iprice').val(),
        };
        $.ajax({
            url: "/api/roomdetails",
            data: JSON.stringify(data),
            type: "POST",
            contentType: "application/json;charset=utf-8",
            dataType: "json",
            success: function (result) {
                toastr.success("Insert data successfully.", "Server Respond");
                $('#tblRoomItem').DataTable().ajax.reload();
                DisableControlRoomItem();
                ClearControlRoomItem();
                $("#itemid").val() == 0;
                $("#iroomid").val() == 0

                $('#btnAddNewRoomItem').show();
                $('#btnSaveRoomItem').hide();
                $('#btnUpdateRoomItem').hide();
            },
            error: function (errormesage) {
                $('#roomid').focus();
                toastr.error("Inser data faild.", "Server Respond")
            }
        });
    }

    function UpdateRoomItem() {
        var data = {
            id: $('#roomitemid').val(),
            roomid: $('#iroomid').val(),
            itemid: $('#itemid').val(),
            price: $('#iprice').val(),
        };
        $.ajax({
            url: "/api/roomdetails/" + data.id,
            data: JSON.stringify(data),
            type: "PUT",
            contentType: "application/json;charset=utf-8",
            dataType: "json",
            success: function (result) {
                toastr.success("RoomType has been Updated", "Server Respond");
                $('#tblRoomItem').DataTable().ajax.reload();
                DisableControlRoomItem()
                ClearControlRoomItem();
            },
            error: function (errormesage) {
                toastr.error("RoomType hasn't Updated in Database", "Server Respond")
            }
        });
        $('#btnAddNewRoomItem').show();
        $('#btnSaveRoomItem').hide();
        $('#btnUpdateRoomItem').hide();
    }

    function DisableControlRoomItem() {
        document.getElementById('iroomid').disabled = true;
        document.getElementById('itemid').disabled = true;
        document.getElementById('iprice').disabled = true;
    }

    function EnableControlRoomItem() {
        document.getElementById('iroomid').disabled = false;
        document.getElementById('itemid').disabled = false;
        document.getElementById('iprice').disabled = false;
    }

    function ClearControlRoomItem() {
        $('#iroomid').val('');
        $('#itemid').val('');
        $('#iprice').val('');
    }
</script>

    